Update a product
curl --request PATCH \
--url https://api.suby.fi/api/product/{productId} \
--header 'Content-Type: application/json' \
--header 'X-Suby-Api-Key: <api-key>' \
--data '
{
"priceCents": "1499",
"frequencyInDays": 2,
"supply": 2
}
'import requests
url = "https://api.suby.fi/api/product/{productId}"
payload = {
"priceCents": "1499",
"frequencyInDays": 2,
"supply": 2
}
headers = {
"X-Suby-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-Suby-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({priceCents: '1499', frequencyInDays: 2, supply: 2})
};
fetch('https://api.suby.fi/api/product/{productId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"id": "pro_abc123",
"name": "Premium Access",
"description": "<string>",
"frequencyInDays": 123,
"isSandbox": true,
"isCustomPrice": true,
"priceCents": "999",
"supply": 123,
"imageUrl": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"paymentMethods": [],
"acceptedAssets": [
{
"symbol": "<string>",
"decimals": 123
}
],
"acceptedChains": [
{
"id": 123,
"name": "<string>"
}
]
}
}{
"success": false,
"error": {
"code": "PRODUCT_NOT_FOUND",
"message": "Product not found"
}
}{
"success": false,
"error": {
"code": "UNAUTHORIZED",
"message": "Invalid or missing API key"
}
}{
"success": false,
"error": {
"code": "NOT_FOUND",
"message": "Resource not found"
}
}Products
Update a product
Update product fields. All fields are optional.
Restrictions:
priceCentscannot be changed for recurring card subscriptionsfrequencyInDayscannot be changed for products with card payments
PATCH
/
api
/
product
/
{productId}
Update a product
Authorizations
API key authentication
Path Parameters
Body
application/json
Was this page helpful?
⌘I

